Kernel 4.20 fails to install

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
Cinos
Posts: 13
Joined: Thu Jan 17, 2019 3:58 pm

Kernel 4.20 fails to install

Post by Cinos » Sun Jan 20, 2019 9:21 am

The hardware is a Pinebook 11.6".
From and SD card of the eMMC the result is the same, the dietpi-update fails when reaching initramfs building for kernel 4.20.
It exits with Error 100.

On next boot the system fails and nothing can be done but to reinstall everything and to not perform the update.

Can I update everything else but this failing part until the issue is solved?

User avatar
MichaIng
Site Admin
Posts: 1870
Joined: Sat Nov 18, 2017 5:21 pm

Re: Kernel 4.20 fails to install

Post by MichaIng » Sun Jan 20, 2019 2:33 pm

Good idea to start a new thread, copy&paste from the other:

Ui, you mean a simple APT upgrade installs Linux kernel v4.20? Unusual since this is not yet marked as very stable, most boards are on v4.14, the lastest LTS version.

In attempt to debug the issue: Do you have some copy&paste or screens from the error messages/boot log where it hangs?

You can prevent APT packages from upgrading by setting them on hold:

Code: Select all

apt-mark hold <package>
But I am not sure about the kernel package for the Pinebook.

Check to identify:

Code: Select all

dpkg -l | grep '^linux'
EDIT:
Ah, it fails during the APT upgrades on dietpi-update already? Please copy&paste or take a picture of the screen, showing the APT output.
I am thinking if initramfs is even required on the Pinebook, or not due to it's bootloader? Will investigate.

Cinos
Posts: 13
Joined: Thu Jan 17, 2019 3:58 pm

Re: Kernel 4.20 fails to install

Post by Cinos » Sun Jan 20, 2019 4:48 pm

indeed it fails on initramfs:

Setting up systemd-sysv (232-25+deb9u8) ...
Setting up libtiff5:arm64 (4.0.8-2+deb9u4) ...
Setting up linux-dtb-dev-sunxi64 (5.70) ...
Setting up libssl1.0.2:arm64 (1.0.2q-1~deb9u1) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Setting up udev (232-25+deb9u8) ...
addgroup: The group `input' already exists as a system group. Exiting.
update-initramfs: deferring update (trigger activated)
Setting up firefox-esr (60.4.0esr-1~deb9u1) ...
Setting up libssl1.1:arm64 (1.1.0j-1~deb9u1) ...
Setting up openssl (1.1.0j-1~deb9u1) ...
Processing triggers for dbus (1.10.26-0+deb9u1) ...
Processing triggers for hicolor-icon-theme (0.15-1) ...
Setting up libpolkit-gobject-1-0:arm64 (0.105-18+deb9u1) ...
Setting up libpam-systemd:arm64 (232-25+deb9u8) ...
Setting up libpolkit-agent-1-0:arm64 (0.105-18+deb9u1) ...
Setting up libpolkit-backend-1-0:arm64 (0.105-18+deb9u1) ...
Setting up policykit-1 (0.105-18+deb9u1) ...
Removed /run/systemd/system/polkit.service.
Processing triggers for initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.20.0-sunxi64
/etc/initramfs/post-update.d//99-uboot: 3: .: Can't open /etc/armbian-release
run-parts: /etc/initramfs/post-update.d//99-uboot exited with return code 2
dpkg: error processing package initramfs-tools (--configure):
subprocess installed post-installation script returned error exit status 1
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Errors were encountered while processing:
initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)


[email protected]:~# dpkg -l | grep linux
ii console-setup-linux 1.164 all Linux specific part of console-setup
ii libselinux1:arm64 2.6-3+b3 arm64 SELinux runtime shared libraries
ii linux-base 4.5 all Linux image base package
ii linux-dtb-dev-sunxi64 5.70 arm64 Linux DTB, version 4.20.0-sunxi64
ii linux-image-dev-sunxi64 5.70 arm64 Linux kernel, version 4.20.0-sunxi64
ii linux-stretch-root-dev-pinebook-a64 5.67 arm64 Armbian tweaks for stretch on pinebook-a64 (dev branch)
ii linux-u-boot-pinebook-a64-dev 5.67 arm64 Uboot loader 2018.11-rc3
ii util-linux 2.29.2-1+deb9u1 arm64 miscellaneous system utilities

After rebooting the machine:

Image

Cinos
Posts: 13
Joined: Thu Jan 17, 2019 3:58 pm

Re: Kernel 4.20 fails to install

Post by Cinos » Sat May 25, 2019 6:57 am

Hmmm latest update broke it again but this time only a black screen after "starting kernel".
Fortunately I kept a µSD card not up to date juste to DD the image to the emmc if something goes south.

User avatar
MichaIng
Site Admin
Posts: 1870
Joined: Sat Nov 18, 2017 5:21 pm

Re: Kernel 4.20 fails to install

Post by MichaIng » Mon May 27, 2019 1:29 am

@Cinos
Are you on current DietPi version? Actually v6.20 should have fixed the issue:

Code: Select all

cat << _EOF_ > /etc/armbian-release
# PLEASE DO NOT EDIT THIS FILE
BOARD=pinebook-a64
BOARD_NAME="Pinebook A64"
BOARDFAMILY=sun50iw1
VERSION=5.67
LINUXFAMILY=sunxi64
BRANCH=next
ARCH=arm64
IMAGE_TYPE=stable
BOARD_TYPE=conf
INITRD_ARCH=arm64
KERNEL_IMAGE_TYPE=Image
_EOF_
update-initramfs

Cinos
Posts: 13
Joined: Thu Jan 17, 2019 3:58 pm

Re: Kernel 4.20 fails to install

Post by Cinos » Mon May 27, 2019 5:43 am

Hello,

The thing is that the image to download is on 6.18 if I remember well so it doesn't actually contain any fix.
I applied the previous one in this very thread and also put initrams-tools on hold to no avail.

I guess it would be time to update the image to download or if you have one I can try to make sure it works straight away before replacing it.

User avatar
MichaIng
Site Admin
Posts: 1870
Joined: Sat Nov 18, 2017 5:21 pm

Re: Kernel 4.20 fails to install

Post by MichaIng » Mon May 27, 2019 2:28 pm

@Cinos
Jep indeed you're right, the image needs update since the error already occurs during APT upgrade, before the patch applies the fix.

Ref: https://github.com/MichaIng/DietPi/issues/2864

Cinos
Posts: 13
Joined: Thu Jan 17, 2019 3:58 pm

Re: Kernel 4.20 fails to install

Post by Cinos » Mon May 27, 2019 6:12 pm

Then I'll wait for an up to date image, for now I'm running armbian but I prefer the scripts used by dietpi for configurations like Wi-Fi and the fact that your distro takes less space.

schojo
Posts: 9
Joined: Mon Jan 30, 2017 11:03 am

Re: Kernel 4.20 fails to install

Post by schojo » Tue Jun 04, 2019 2:54 pm

MichaIng wrote:
Mon May 27, 2019 2:28 pm
@Cinos
Jep indeed you're right, the image needs update since the error already occurs during APT upgrade, before the patch applies the fix.

Ref: https://github.com/MichaIng/DietPi/issues/2864
any news? i tried editing the /etc/armbian-release by hand but after that the kernel doesn't boot anymore...

Post Reply